Subject: Re: [PATCH v3 2/5] setup: allow for prefix to be passed to git commands

From: Brandon Williams <[email-masked]>
Date: Fri, 17 Mar 2017 12:17:19 -0700

On 03/17, Stefan Beller wrote:
> On Fri, Mar 17, 2017 at 12:08 PM, Brandon Williams <[email-masked]> wrote:
> > On 03/17, Stefan Beller wrote:
> >> >         prefix = setup_git_directory_gently_1(nongit_ok);
> >> > +       env_prefix = getenv(GIT_TOPLEVEL_PREFIX_ENVIRONMENT);
> >> > +
> >> > +       if (env_prefix)
> >> > +               prefix = env_prefix;
> >> > +
> >> >         if (prefix)
> >> >                 setenv(GIT_PREFIX_ENVIRONMENT, prefix, 1);
> >>
> >> so we load that GIT_TOPLEVEL_PREFIX_ENVIRONMENT prefix
> >> first, such that we essentially copy it into GIT_PREFIX_ENVIRONMENT,
> >> such that e.g. aliased commands will know about the superprefix, too.
> >
> > I don't follow, this doesn't have anything to do with super-prefix.
> >
> 
> s/superprefix/prefix as passed in via GIT_TOPLEVEL_PREFIX_ENVIRONMENT/
> 
> sorry for the confusion.

Alternatively we could not copy it into GIT_PREFIX_ENVIRONMENT.

-- 
Brandon Williams